*{
    box-sizing: border-box;
}
body{
    margin: 0 1em 0 1em;
} 
.cart-item{
    text-align: center;
    margin:2em; 
}
.cart-heading { 
    margin-top: -1rem;
    font-weight:500;font-family: Arial, Helvetica, sans-serif;
}
.item-number{
    margin-top: -1rem;
    font-weight:500;color:grey;

}
.total-price {
    word-spacing: 2rem;
    font-weight: 600;
    font-size: 15px;
}

.product-description{
    display:flex;
}
.product img{ 
     width:80px;
     height:80px;
}

.product-quantity{
    display:flex; 
    justify-content: space-between;
}

.quantity{
    display:flex; 
}
/******************************************************************/
 
@media screen and (max-width: 750px){
    .product-description{
        width:100%;
    }
    .description{
        width:100%;
        padding-top:1.5em;  
    }
    .product-name{
        width:100%;
        align-self:center;
    }
    .product-quantity{
        width:100%;
    
    }
    .cart-button{
        background-color:#172C50;
        color: white;
        width:100%;
        height:4em;
        font-size:18px;
        position:fixed;
        bottom:0;
        margin:0 -1em 0 -1em;
    }
    
    .total-price{
        position: absolute;
       right:1rem;

    }
    footer{
        display: none;
    }

}



@media screen and (min-width:751px){
    .bar{
        visibility: hidden;
    }
  .product-description{
      width:100%;
     justify-content: center;
     align-self: center;
    
  }
  .description{
      width:80%;
   align-items: center;
    display:flex;
}
 .product-name{
     width:50%;
     justify-content: center; 
 }
 .product-quantity{
    width:50%;
 }
 .cart-button{
    background-color:white;
    color:black;
    border: solid black;
    text-align: center;
    font-size:13px;
    padding:0.5em 1.8em ;
  
 }
 .cart-button:active {
     background-color: black;
     color: white;
 }
 .price{
     display:flex;
      width:40%;
      justify-content: center;
      
 }
 .total-price{
     width:50%;

 }
  .button-section{
      width:50%;
  }
  .price-container{
      width:100%;
      display: flex;
      justify-content: flex-end;
  }
  #footer {
    display: flex;
    flex-direction: column;
    bottom:0;
    
}
.demo {
   text-align: center;
   width: 10rem;
   height: 2rem;
   background-color: black;
   color: white;
   padding-top:0.5em;
}
main{
    height:470px;
}
}
